import { IAppToolkit } from '../../../app-toolkit/app-toolkit.interface';
import { ContractFactory } from '../../../contract/contracts';
import { Network } from '../../../types/network.interface';
declare type ContractOpts = {
    address: string;
    network: Network;
};
export declare class BarnbridgeSmartAlphaContractFactory extends ContractFactory {
    protected readonly appToolkit: IAppToolkit;
    constructor(appToolkit: IAppToolkit);
    barnbridgeSmartAlphaPool({ address, network }: ContractOpts): import("./ethers").BarnbridgeSmartAlphaPool;
    barnbridgeSmartAlphaToken({ address, network }: ContractOpts): import("./ethers").BarnbridgeSmartAlphaToken;
}
export type { BarnbridgeSmartAlphaPool } from './ethers';
export type { BarnbridgeSmartAlphaToken } from './ethers';
